Subject: I-D Action: draft-zhang-generic-extensible-protocol-platform-00.txt

From: [email-masked]
Date: Mon, 20 Jul 2015 00:35:53 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : GEARS: Generic and Extensible Architecture for Protocols
        Authors         : Mingui Zhang
                          Jie Dong
                          Mach Chen
	Filename        : draft-zhang-generic-extensible-protocol-platform-00.txt
	Pages           : 11
	Date            : 2015-07-20

Abstract:
   In the Cloud computing era, lots of protocols are proposed to meet
   the various requirements requested by the quickly emerging Cloud
   applications. However, protocols used to be independently developed
   by closed communities. Each protocol proposes its own specifications
   and encoding method. Some common functions are repeatedly developed
   by different protocols. The way that the protocols used to be
   developed significantly prolongs the process that protocols are
   brought to the real market.

   In order to address these problems, this document proposes GEARS
   (Generic and Extensible Architecture for pRotocolS) which provides an
   open platform to facilitate protocol innovations. A new protocol
   would be developed as an application running on this platform while
   those common functions provided by this platform can be reused.
   Customized features of this application can be easily built as add-
   ons with the friendly and extensible data modeling language.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-zhang-generic-extensible-protocol-platform/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-zhang-generic-extensible-protocol-platform-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/